Help with Proxy (failed to inject) **Solved**

Chat about the proxy project here. (General topics, support, requests, etc. are welcome here.)
Post Reply
WolfgangFox
Posts: 3
Joined: Wed Apr 04, 2018 6:46 am

Help with Proxy (failed to inject) **Solved**

Post by WolfgangFox » Wed Apr 04, 2018 6:59 am

Hello,

I cannot get Ashita to load retail windowed or fullscreen. I get this error message:

System.Exception: Failed to inject Ashita!

Error: 0
at Ashita.Classes.AshitaInjector.<>c__DisplayClass1_0.<LaunchConfiguration>b__0()

-----------------------

I have:
Windows 10 version 1709
I downloaded and installed Visual C++ 2015 x86 Runtime (only) not the others.
I downloaded and installed net framework 3.5. But from what I've read, windows 10 has net framework 4.7ish, and has all of the 4.x versions.
I downloaded and installed the Direct3D 9.0c End-User Runtime link from the readme for the proxy.

I'm not sure what to do next, or if I missed something. Any help would be appreciated.

(I'm just trying to get the NVIDIA Optimus fixed so I can play the game higher than very low FPS.)
Last edited by WolfgangFox on Thu Apr 05, 2018 8:37 am, edited 1 time in total.
User avatar
atom0s
Site Admin
Posts: 375
Joined: Sat May 14, 2016 5:13 pm

Re: Help with Proxy (failed to inject)

Post by atom0s » Wed Apr 04, 2018 6:08 pm

Double-check you have all the requirements listed here:
http://ashita.atom0s.com/wiki2/doku.php ... quirements
Lead Ashita Developer

Want to donate to say thanks?
https://www.paypal.me/atom0s
WolfgangFox
Posts: 3
Joined: Wed Apr 04, 2018 6:46 am

Re: Help with Proxy (failed to inject)

Post by WolfgangFox » Wed Apr 04, 2018 8:32 pm

So just to confirm, I would need ALL of the following:

Microsoft .NET Framework 4.0 (I have installed)
Microsoft .NET Framework 4.5.2 (I have 4.7 installed with Windows 10, does it include 4.5.2)?


Visual C++ 2010 x86 Runtime
Visual C++ 2012 x86 Runtime
Visual C++ 2013 x86 Runtime
Visual C++ 2015 x86 Runtime (I only installed this. Do I need 2010, 2012, and 2013 also? or does the 2015 version include the earlier ones?
WolfgangFox
Posts: 3
Joined: Wed Apr 04, 2018 6:46 am

Re: Help with Proxy (failed to inject)

Post by WolfgangFox » Thu Apr 05, 2018 8:00 am

So...

Apparently you do need to download ALL items. After downloading 2010, 2012, and 2013 in addition to 2015 C++ Runtimes, it worked.

And thanks so much for fixing the NVIDIA Optimus problem with this game, it's so nice to have normal FPS on my laptop!
Post Reply